macProVideo.com
Forums
  • beek
    Posts: 1
    Joined: Feb 26th, 2012, 11:57
    logic 8
    hi i have an older g4 with os 10.4.11 and want to upgrade to an imac with logic 9 can i install the old 8 and upgrade to 9 or do i have to buy the whole bundle what is the best solution thanks
    Reply
  • GaryHiebner
    Posts: 1434
    Joined: May 6th, 2007, 12:54
    Re: logic 8
    Hi Beek, Can you give us some more specs on your G4? What processor type, and amount of RAM? Logic is meant to be only Intel compatible but it does work on some PPC machines depending on the spec of it. If you give us some more details, we can let you know if it will work on your Mac. Also it will be advisable for you to upgrade to 10.5.8 for better performance with Logic 9.
    Reply
You must be logged in to post a reply
Recent Threads
Recent Posts
Feedback
Course Advisor
Don't Know Where To Start?
Ask A Course Advisor
Ask Us!
Copy the link below and paste it into an email, forum, or Facebook to share this with your friends.
Make money when you share our links
Become a macProVideo.com Affiliate!
The current affiliate rate is: 50%
Classes Start Next Week!
Live 8-week Online Certification Classes for: